summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorrazer2019-11-23 16:29:51 +0100
committerrazer2019-11-23 16:29:51 +0100
commit6455098c319707eef5bdd19513e88cac497676e0 (patch)
tree8e958973d4d552d3f445245992a2d371a49f6c64
downloadaur-6455098c319707eef5bdd19513e88cac497676e0.tar.gz
Initial commit
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD26
2 files changed, 49 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7730396ec88
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = bubblemail-git
+ pkgdesc = Unread mail notification service
+ pkgver = 0.19
+ pkgrel = 0
+ url = https://framagit.org/razer/bubblemail/
+ arch = any
+ license = GPL2
+ makedepends = python-setuptools
+ makedepends = vala
+ depends = python
+ depends = python-dbus
+ depends = python-gobject
+ depends = libsecret
+ optdepends = gnome-online-accounts
+ optdepends = gnome-shell
+ optdepends = bubblemail-gnome-shell-extension
+ provides = bubblemail
+ conflicts = bubblemail
+ source = https://framagit.org/razer/bubblemail/-/archive/master/bubblemail-master.tar.bz2
+ sha256sums = SKIP
+
+pkgname = bubblemail-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..079d641004c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Razer <razer[AT]neuf[DOT]fr>
+pkgname=bubblemail-git
+pkgver=0.19
+pkgrel=0
+pkgdesc="Unread mail notification service"
+pkgfolder="bubblemail-master"
+provides=("bubblemail")
+conflicts=("bubblemail")
+arch=(any)
+url="https://framagit.org/razer/bubblemail/"
+license=('GPL2')
+makedepends=('python-setuptools' 'vala')
+depends=('python' 'python-dbus' 'python-gobject' 'libsecret')
+optdepends=('gnome-online-accounts' 'gnome-shell' 'bubblemail-gnome-shell-extension')
+source=("https://framagit.org/razer/bubblemail/-/archive/master/bubblemail-master.tar.bz2")
+sha256sums=('SKIP')
+
+build() {
+ cd "${srcdir}/${pkgfolder}"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgfolder}"
+ python setup.py install --root=${pkgdir} --optimize=1 || return 1
+}